Skip to content
Start here

Patch Gateway Log

ai_gateway.logs.edit(strid, LogEditParams**kwargs) -> object
PATCH/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/logs/{id}

Updates metadata for an AI Gateway log entry.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway Write
ParametersExpand Collapse
account_id: str
gateway_id: str

gateway id

maxLength64
minLength1
id: str
feedback: Optional[float]
maximum1
minimum-1
metadata: Optional[Dict[str, Union[str, float, bool]]]
One of the following:
str
float
bool
score: Optional[float]
maximum100
minimum0
ReturnsExpand Collapse
object

Patch Gateway Log

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.ai_gateway.logs.edit(
    id="id",
    account_id="0d37909e38d3e99c29fa2cd343ac421a",
    gateway_id="my-gateway",
)
print(response)
{
  "result": {},
  "success": true
}
Returns Examples
{
  "result": {},
  "success": true
}